#!/bin/csh -f

setenv IMAGIC_BATCH

set inputMRC = $1
set bfactor = 300
set dim = 700
set res = 4.0

set pixelsize = 1.23

set fileName    = `echo ${inputMRC} | awk -F. '{print $1}'`

$IMAGIC_ROOT/stand/em2em.e << _EOF
CCP4
IMAGIC
3D
${inputMRC}
$fileName
${pixelsize},${pixelsize},${pixelsize}
NO
*
_EOF

$IMAGIC_ROOT/threed/subfile3d.e << _EOF
$fileName
${fileName}_d${dim}
CENTER
${dim},${dim},${dim}
0,0,0
*
_EOF

$IMAGIC_ROOT/stand/em2em.e << _EOF
IMAGIC
CCP4
3D
${fileName}_d${dim}
${fileName}_d${dim}.mrc
${pixelsize},${pixelsize},${pixelsize}
NO
*
_EOF

bfactor.exe << _EOF
${fileName}_d${dim}.mrc
-${bfactor}.0
2
${res}
13
${pixelsize}
${fileName}_b${bfactor}_r${res}.mrc
_EOF

label << _EOF
${fileName}_b${bfactor}_r${res}.mrc
1
cut_ttt.mrc
285,699,285,699,350,679
_EOF

imedit << _EOF
cut_ttt.mrc
${fileName}_b${bfactor}_r${res}_asy.mrc
1
415 415 330
-65 -65 0

_EOF

rm ${fileName}.hed ${fileName}.img ${fileName}_d${dim}.hed ${fileName}_d${dim}.img
# rm cut_ttt.mrc

# END
